<?php
	// Main Text
	$riffel_footer_copyright_layout = cs_get_option('footer_copyright_layout');

	if ($riffel_footer_copyright_layout === 'copyright-1') {
		$riffel_copyright_layout_class = 'col-sm-6';
		$riffel_copyright_seclayout_class = 'text-right';
	} elseif ($riffel_footer_copyright_layout === 'copyright-2') {
		$riffel_copyright_layout_class = 'col-sm-6 pull-right text-right';
		$riffel_copyright_seclayout_class = 'text-left';
	} elseif ($riffel_footer_copyright_layout === 'copyright-3') {
		$riffel_copyright_layout_class = 'col-sm-12 text-center';
	} else {
		$riffel_copyright_layout_class = '';
		$riffel_copyright_seclayout_class = '';
	}
?>
<!-- Copyright Bar -->
<div class="<?php echo esc_attr($riffel_copyright_layout_class);?>">
	<?php
		$riffel_copyright_text = cs_get_option('copyright_text');
		if($riffel_copyright_text) {
			echo do_shortcode($riffel_copyright_text);
	  } else {
	  	echo esc_html__('&copy; 2017 VictorThemes - Elite Themeforest Author.' , 'riffel');
	  }
  ?>
</div>
<?php if ($riffel_footer_copyright_layout != 'copyright-3') { ?>
<div class="cprt-secondary <?php echo esc_attr($riffel_copyright_seclayout_class);?>">
  <?php
		$riffel_secondary_text = cs_get_option('secondary_text');
		echo do_shortcode($riffel_secondary_text);
  ?>
</div>
<?php }
