<?php
// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $riffel_id : false;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
if ($riffel_meta) {
  $riffel_menu_style = $riffel_meta['menu_style'];
} else {
  $riffel_menu_style = cs_get_option('menu_style');
}

if ($riffel_meta && $riffel_menu_style !== '') {
  $riffel_menu_style = $riffel_meta['menu_style'];
} else {
  $riffel_menu_style = cs_get_option('menu_style');
}

$riffel_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$riffel_breakpoint = $riffel_mobile_breakpoint ? $riffel_mobile_breakpoint : '767';

if ($riffel_menu_style === 'style-two'){

?>
<nav class="rifl-menu">
  <?php get_template_part( 'layouts/header/logo' ); ?>
  <div class="rifl-close"><a href="javascript:void(0);"></a></div>
    <div class="rifl-table-container">
      <div class="rifl-align-container">
        <?php
          if ($riffel_meta) {
            $riffel_choose_menu = $riffel_meta['choose_menu'];
          } else { $riffel_choose_menu = ''; }
          $riffel_choose_menu = $riffel_choose_menu ? $riffel_choose_menu : '';
            wp_nav_menu(
              array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'container'         => 'div',
                'container_class'   => 'dl-menuwrapper',
                'container_id'      => '',
                'menu'              => $riffel_choose_menu,
                'menu_class'        => 'dl-menu',
                'fallback_cb'       => 'riffel_wp_bootstrap_navwalker::fallback',
                'walker'            => new riffel_wp_bootstrap_navwalker()
              )
            );
        ?>
      </div>
    </div>
  <div class="rifl-copyright">
   <div class="pull-left">
    <?php
      $riffel_copyright_text = cs_get_option('copyright_text');
      if($riffel_copyright_text){
        echo do_shortcode($riffel_copyright_text);
      } else {
        echo esc_html__('&copy; 2017 VictorThemes - All rights reserved. Made by Victorthemes.' , 'riffel');
      }
    ?>
  </div>
  </div>
  <div class="menu-background"></div>
</nav>

<?php } else { ?>

    <?php
      if ($riffel_meta) {
        $riffel_choose_menu = $riffel_meta['choose_menu'];
      } else { $riffel_choose_menu = ''; }
      $riffel_choose_menu = $riffel_choose_menu ? $riffel_choose_menu : '';

      echo '<nav class="rifl-menu menu-style-one" id="ml-menu" data-starts="'. esc_attr($riffel_breakpoint) .'">';
       wp_nav_menu(
        array(
          'menu'              => 'primary',
          'theme_location'    => 'primary',
          'container'         => 'div',
          'container_class'   => 'menu-navigation-bar',
          'container_id'      => '',
          'menu'              => $riffel_choose_menu,
          'menu_class'        => '',
          'fallback_cb'       => 'riffel_custom_wp_bootstrap_navwalker::fallback',
          'walker'            => new riffel_custom_wp_bootstrap_navwalker()
        )
      );
      echo '</nav>';
    ?>
<a href="javascript:void(0);" class="rifl-toggle inactive"><span class="toggle-separator"></span></a>

<?php }
