<?php
// Metabox
$riffel_id    = ( isset( $post ) ) ? $post->ID : 0;
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
if ($riffel_meta && is_page()) {
	$riffel_title_bar_padding = $riffel_meta['title_area_spacings'];
} else { $riffel_title_bar_padding = ''; }
// Padding - Theme Options
if ($riffel_title_bar_padding && $riffel_title_bar_padding !== 'padding-none') {
	$riffel_title_top_spacings = $riffel_meta['title_top_spacings'];
	$riffel_title_bottom_spacings = $riffel_meta['title_bottom_spacings'];
	if ($riffel_title_bar_padding === 'padding-custom') {
		$riffel_title_top_spacings = $riffel_title_top_spacings ? 'padding-top:'. riffel_check_px($riffel_title_top_spacings) .';' : '';
		$riffel_title_bottom_spacings = $riffel_title_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_title_bottom_spacings) .';' : '';
		$riffel_custom_padding = $riffel_title_top_spacings . $riffel_title_bottom_spacings;
	} else {
		$riffel_custom_padding = '';
	}
} else {
	$riffel_title_bar_padding = cs_get_option('title_bar_padding');
	$riffel_titlebar_top_padding = cs_get_option('titlebar_top_padding');
	$riffel_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
	if ($riffel_title_bar_padding === 'padding-custom') {
		$riffel_titlebar_top_padding = $riffel_titlebar_top_padding ? 'padding-top:'. riffel_check_px($riffel_titlebar_top_padding) .';' : '';
		$riffel_titlebar_bottom_padding = $riffel_titlebar_bottom_padding ? 'padding-bottom:'. riffel_check_px($riffel_titlebar_bottom_padding) .';' : '';
		$riffel_custom_padding = $riffel_titlebar_top_padding . $riffel_titlebar_bottom_padding;
	} else {
		$riffel_custom_padding = '';
	}
}

// Banner Type - Meta Box
if ($riffel_meta && is_page()) {
	$riffel_banner_type = $riffel_meta['banner_type'];
} else { $riffel_banner_type = ''; }

// Overlay Color - Theme Options
if ($riffel_meta && is_page()) {
	$riffel_bg_overlay_color = $riffel_meta['titlebar_bg_overlay_color'];
} else { $riffel_bg_overlay_color = ''; }
if ($riffel_bg_overlay_color) {
	if ($riffel_bg_overlay_color) {
		$riffel_overlay_color = 'background-color:'. $riffel_bg_overlay_color .'';
	} else {
		$riffel_overlay_color = '';
	}
} else {
	$riffel_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
	if ($riffel_bg_overlay_color) {
		$riffel_overlay_color = 'style=background-color:'. $riffel_bg_overlay_color .'';
	} else {
		$riffel_overlay_color = '';
	}
}

// Background - Type
if( $riffel_meta && isset( $riffel_meta['title_area_bg'] ) ) {

  extract( $riffel_meta['title_area_bg'] );

  $riffel_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
  $riffel_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $riffel_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $riffel_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $riffel_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $riffel_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $riffel_background_style       = ( ! empty( $image ) ) ? $riffel_background_image . $riffel_background_repeat . $riffel_background_position . $riffel_background_size . $riffel_background_attachment : '';

  $riffel_title_bg = ( ! empty( $riffel_background_style ) || ! empty( $riffel_background_color ) ) ? $riffel_background_style . $riffel_background_color : '';

} else { $riffel_title_bg = ''; }

if($riffel_banner_type === 'hide-title-area') { // Hide Title Area
} elseif($riffel_meta && $riffel_banner_type === 'revolution-slider') { // Hide Title Area
	echo do_shortcode($riffel_meta['page_revslider']);
} else { ?>
	<!-- Banner & Title Area -->
	<div class="rifl-banner rifl-title-bar-banner rifl-parallax <?php echo esc_attr($riffel_banner_type); ?>" data-parallax-background-ratio=".5">
    <div class="rifl-table-container">
      <div class="rifl-align-container <?php echo esc_attr($riffel_title_bar_padding); ?>" style="<?php echo esc_attr($riffel_custom_padding . $riffel_title_bg .$riffel_overlay_color); ?>">
        <div class="container">
          <h1 class="banner-title scrollme animateme" data-when="exit" data-from="0" data-to="0.75" data-opacity="1" data-translatey="-250"><?php echo riffel_title_area(); ?></h1>
        </div>
      </div>
    </div>
  </div>
<?php } ?>