<?php
/*
 * All Riffel Theme Related Functions Files are Linked here
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

/* Theme All Basic Setup */
require_once( RIFFEL_FRAMEWORK . '/theme-support.php' );
require_once( RIFFEL_FRAMEWORK . '/backend-functions.php' );
require_once( RIFFEL_FRAMEWORK . '/frontend-functions.php' );
require_once( RIFFEL_FRAMEWORK . '/enqueue-files.php' );
require_once( RIFFEL_FRAMEWORK . '/portfolio-ajax-post.php' );
require_once( RIFFEL_CS_FRAMEWORK . '/custom-style.php' );
require_once( RIFFEL_CS_FRAMEWORK . '/config.php' );

/* Bootstrap Menu Walker */
require_once( RIFFEL_FRAMEWORK . '/core/vt-mmenu/wp_bootstrap_navwalker.php' );
require_once( RIFFEL_FRAMEWORK . '/core/vt-mmenu/wp_custom_walker.php' );

/* Install Plugins */
require_once( RIFFEL_FRAMEWORK . '/plugins/notify/activation.php' );

/* Breadcrumbs */
require_once( RIFFEL_FRAMEWORK . '/plugins/breadcrumb-trail.php' );

/* Aqua Resizer */
$remove_resizer = cs_get_option('remove_resizer');
if(!$remove_resizer) {
	require_once( RIFFEL_FRAMEWORK . '/plugins/aq_resizer.php' );
}

/* Sidebars */
require_once( RIFFEL_FRAMEWORK . '/core/sidebars.php' );