<?php
/**
 * Template part for displaying posts.
 */
$riffel_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$riffel_large_image = isset($riffel_large_image[0]) ? $riffel_large_image[0] : '';

$riffel_blog_style = cs_get_option('blog_listing_style');
$riffel_read_more_text = cs_get_option('read_more_text');
$riffel_read_text = $riffel_read_more_text ? $riffel_read_more_text : esc_html__( 'Read More', 'riffel' );
$riffel_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$riffel_blog_style = cs_get_option('blog_listing_style');
$riffel_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
if(is_sticky()){
  $sticky_cls = ' sticky';
} else {
  $sticky_cls = '';
}

if ($riffel_blog_style === 'style-two') { ?>
<div id="post-<?php the_ID(); ?>" <?php post_class(' blog-item '.esc_attr($sticky_cls).''); ?>>
  <?php
    $riffel_post_imgg = wp_get_attachment_image_src( get_post_thumbnail_id(), 'fullsize', false, '' );
    $riffel_post_imgg = isset($riffel_post_imgg[0]) ? $riffel_post_imgg[0] : '';
    if(class_exists('Aq_Resize')) {
      $riffel_post_img = aq_resize( $riffel_post_imgg, '420', '270', true );
    } else {
      $riffel_post_img = $riffel_post_imgg;
    }

    if(has_post_thumbnail()) { ?>
      <div class="rifl-image">
        <a href="<?php echo esc_url( the_permalink() ); ?>">
        <?php if($riffel_post_img){ ?>
          <img src="<?php echo esc_url($riffel_post_img); ?>" alt="<?php echo esc_attr(get_the_title()); ?>">
        <?php } ?>
        </a>
      </div>
    <?php } ?>
    <div class="blog-info">
      <?php riffel_post_metas();
      if( get_the_title() ){ ?>
      <h3 class="blog-title"><a href="<?php echo esc_url( the_permalink() ); ?>" class="bp-heading"><?php echo esc_attr(get_the_title()); ?></a></h3>
      <p><?php }
          $blog_excerpt = cs_get_option('theme_blog_excerpt');
          if ($blog_excerpt) {
            $blog_excerpt = $blog_excerpt;
          } else {
            $blog_excerpt = '10';
          }
            riffel_excerpt($blog_excerpt);
            echo riffel_wp_link_pages();
        ?>
        </p>
      <div class="read-more"><a href="<?php echo esc_url( the_permalink() ); ?>" class="more-link"><?php echo esc_attr($riffel_read_text); ?></a></div>
    </div>
</div>
<?php } else { ?>

<div id="post-<?php the_ID(); ?>" <?php post_class(' masonry-item '.esc_attr($sticky_cls).''); ?>>
  <div class="blog-item">
    <?php
    $riffel_post_imgg = wp_get_attachment_image_src( get_post_thumbnail_id(), 'fullsize', false, '' );
    $riffel_post_imgg = isset($riffel_post_imgg[0]) ? $riffel_post_imgg[0] : '';
    if(has_post_thumbnail()) { ?>
      <div class="rifl-image">
        <a href="<?php echo esc_url( the_permalink() ); ?>">
          <img src="<?php echo esc_url($riffel_post_imgg); ?>" alt="<?php echo esc_attr(get_the_title()); ?>"></a>
      </div>
    <?php } ?>
    <div class="blog-info">
      <?php riffel_post_metas();
      if( get_the_title() ){ ?>
      <h3 class="blog-title"><a href="<?php echo esc_url( the_permalink() ); ?>" class="bp-heading"><?php echo esc_attr(get_the_title()); ?></a></h3>
      <p><?php }
          $blog_excerpt = cs_get_option('theme_blog_excerpt');
          if ($blog_excerpt) {
            $blog_excerpt = $blog_excerpt;
          } else {
            $blog_excerpt = '40';
          }
            riffel_excerpt($blog_excerpt);
            echo riffel_wp_link_pages();
        ?>
        </p>
      <div class="read-more">
        <div class="pull-left"><a href="<?php echo esc_url( the_permalink() ); ?>" class="more-link"><?php echo esc_attr($riffel_read_text); ?></a></div>
        <div class="pull-right"><div class="blog-likes"><?php if( function_exists('zilla_likes') ) zilla_likes(); ?></div></div>
      </div>
    </div>
  </div>
</div>

<?php }
