<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$riffel_id    = get_the_ID();
$riffel_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $riffel_id;
$riffel_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $riffel_id;
$riffel_meta  = get_post_meta( $riffel_id, 'page_type_metabox', true );
$riffel_single_pagination = cs_get_option('portfolio_single_pagination');
if ($riffel_meta) {
	$riffel_content_padding = $riffel_meta['content_spacings'];
} else { $riffel_content_padding = ''; }
// Padding - Metabox
if ($riffel_content_padding && $riffel_content_padding !== 'padding-none') {
	$riffel_content_top_spacings = $riffel_meta['content_top_spacings'];
	$riffel_content_bottom_spacings = $riffel_meta['content_bottom_spacings'];
	if ($riffel_content_padding === 'padding-custom') {
		$riffel_content_top_spacings = $riffel_content_top_spacings ? 'padding-top:'. riffel_check_px($riffel_content_top_spacings) .';' : '';
		$riffel_content_bottom_spacings = $riffel_content_bottom_spacings ? 'padding-bottom:'. riffel_check_px($riffel_content_bottom_spacings) .';' : '';
		$riffel_custom_padding = $riffel_content_top_spacings . $riffel_content_bottom_spacings;
	} else {
		$riffel_custom_padding = '';
	}
} else {
	$riffel_custom_padding = '';
}

$portfolio_meta  = get_post_meta( $riffel_id, 'portfolio_single_metabox', true );
if ($portfolio_meta) {
	$portfolio_layout = $portfolio_meta['portfolio_single_layout'];
} else {
	$portfolio_layout = '';
}
get_header();
	if ( !post_password_required() ) { ?>
		<div class="rifl-mid-wrap<?php echo esc_attr($riffel_content_padding); ?> rifl-content-area" style="<?php echo esc_attr($riffel_custom_padding); ?>">
	<?php
		get_template_part('layouts/portfolio/'.$portfolio_layout );
	} else {
		echo	get_the_password_form();
	} ?>
	</div>
	  <!-- Rifl More Posts, Posts Style Two -->
 <?php  if ($riffel_single_pagination) { riffel_portfolio_next_prev(); }
get_footer();
